luafindfont(1)

NAME
luafindfont - retrieve font informations of all installed system and TeX fonts.

SYNOPSIS
luafindfont [options] <fontname>

DESCRIPTION
This command lists informations about installed otf|ttf|ttc fonts, installed by the system and by the TeX distribution

OPTIONS

-h,--help
    obvious ... :-)

-V,--version
    obvious ... :-)

-o,--otfinfo
    Use the program otfinfo for the font with the given number. The number can be followed by an optional argument for otfinfo, e.g. -o 2f, list all features for font no 2. Without an additional character, otfinfo is called with -i

-i,--info
    List the given fontstyles (regular, bold, italic, bolditalic) for the font with the given number

-I,--Info
    Siliar to i but uses the program mtxrun to get ll informations including features and corresponding languages. List can be very long.

-v,--verbose
    Give more informations, by now only -v works

-x,--xetex
    test, if font is found by xetex via kpsewhich 0->no; 1->yes

-m,--max_string
    The maximum of the stringlength of the full path of fonts

-n,--no-symbolic-names
    The fontlist contains only fontfile and fontpath

<fontname>
    Can be a substring, e.g. times, or a combination of two substrings which act like a boolean and, e.g. "times & bold" (must be in quotes). All strings are not case sensitive. Upper and lowercase can be mixed.

EXAMPLES
$ luafindfont libertinussans Lists all fonts which have names or part of like libertinussans
bash-3.2$ ./luafindfont.lua libertinussans
  No.                   Fontname  Symbolic Name                                                                        Path
   1.    LibertinusSans-Bold.otf libertinussans  /usr/local/texlive/2022/texmf-dist/fonts/opentype/public/libertinus-fonts/
   2.  LibertinusSans-Italic.otf libertinussans  /usr/local/texlive/2022/texmf-dist/fonts/opentype/public/libertinus-fonts/
   3. LibertinusSans-Regular.otf libertinussans  /usr/local/texlive/2022/texmf-dist/fonts/opentype/public/libertinus-fonts/
The --otfinfo: $ luafindfont -o 3 libertinussans This produces the following output:
 1.    LibertinusSans-Bold.otf libertinussans                          /Users/voss/Library/Fonts/libertinus-fonts/LibertinusSans-Bold.otf
 2.    LibertinusSans-Bold.otf libertinussans  /usr/local/texlive/texmf-d...onts/opentype/public/libertinus-fonts/LibertinusSans-Bold.otf
 3.  LibertinusSans-Italic.otf libertinussans                        /Users/voss/Library/Fonts/libertinus-fonts/LibertinusSans-Italic.otf
 4.  LibertinusSans-Italic.otf libertinussans  /usr/local/texlive/texmf-d...ts/opentype/public/libertinus-fonts/LibertinusSans-Italic.otf
 5. LibertinusSans-Regular.otf libertinussans                       /Users/voss/Library/Fonts/libertinus-fonts/LibertinusSans-Regular.otf
 6. LibertinusSans-Regular.otf libertinussans  /usr/local/texlive/texmf-d...s/opentype/public/libertinus-fonts/LibertinusSans-Regular.otf
Running otfinfo on font no.3
Family:              Libertinus Sans
Subfamily:           Italic
Full name:           Libertinus Sans Italic
PostScript name:     LibertinusSans-Italic
Version:             Version 7.020;RELEASE
Unique ID:           1.000;QUE ;LibertinusSans-Italic
Designer:            Philipp H. Poll, Khaled Hosny
Manufacturer:        Caleb Maclennan
Vendor URL:          https://github.com/alerque/libertinus
Copyright:           Copyright © 2012-2020 The Libertinus Project Authors.
License URL:         https://scripts.sil.org/OFL
License Description: This Font Software is licensed under the SIL Open Font License, Version 1.1
Vendor ID:           QUE
The --no-symbolc-names: $ luafindfont -n This produces the following output:
bash-3.2$ luafindfont -n minion
 Nr.                 Fontname                                   Path
   1.      MinionMath-Bold.otf  /Users/voss/Library/Fonts/MinionMath/
   2.   MinionMath-Regular.otf  /Users/voss/Library/Fonts/MinionMath/
   3.       MinionPro-Bold.otf   /Users/voss/Library/Fonts/MinionPro/
   4.     MinionPro-BoldCn.otf   /Users/voss/Library/Fonts/MinionPro/
   5.   MinionPro-BoldCnIt.otf   /Users/voss/Library/Fonts/MinionPro/
   6.     MinionPro-BoldIt.otf   /Users/voss/Library/Fonts/MinionPro/
   7.       MinionPro-Capt.otf   /Users/voss/Library/Fonts/MinionPro/
   8.       MinionPro-Disp.otf   /Users/voss/Library/Fonts/MinionPro/
   9.         MinionPro-It.otf   /Users/voss/Library/Fonts/MinionPro/
  10.     MinionPro-Medium.otf   /Users/voss/Library/Fonts/MinionPro/
  11.   MinionPro-MediumIt.otf   /Users/voss/Library/Fonts/MinionPro/
  12.    MinionPro-Regular.otf   /Users/voss/Library/Fonts/MinionPro/
  13.   MinionPro-Semibold.otf   /Users/voss/Library/Fonts/MinionPro/
  14. MinionPro-SemiboldIt.otf   /Users/voss/Library/Fonts/MinionPro/
  15.       MinionPro-Subh.otf   /Users/voss/Library/Fonts/MinionPro/

See also
See luafindfont-doc.pdf for more details

BUGS
No known bugs.

AUTHOR
Herbert Voß (hvoss@tug.org)

LICENSE
Permission is granted to copy, distribute and/or modify this software under the terms of the LaTeX Project Public License, version 1.3.